<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:09 CET 2009 -->
<TITLE>
PolcoConfig
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.polco.config.PolcoConfig class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="PolcoConfig";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/PolcoConfig.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/polco/config/Phase.html" title="enum in ch.javasoft.polco.config"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/polco/config/TypeConverter.html" title="class in ch.javasoft.polco.config"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/polco/config/PolcoConfig.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="PolcoConfig.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.polco.config</FONT>
<BR>
Class PolcoConfig</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><B>ch.javasoft.polco.config.PolcoConfig</B>
</PRE>
<HR>
<DL>
<DT><PRE>public class <A HREF="../../../../src-html/ch/javasoft/polco/config/PolcoConfig.html#line.71"><B>PolcoConfig</B></A><DT>extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></DL>
</PRE>

<P>
The <code>PolcoConfig</code> ... TODO javadoc-PolcoConfig-type
<P>

<P>
<HR>

<P>
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/config/PolcoConfig.html#CONFIG_FILE">CONFIG_FILE</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/config/PolcoConfig.html#DEFAULT_APP_NAME">DEFAULT_APP_NAME</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/config/PolcoConfig.html#DEFAULT_CONFIG_NAME">DEFAULT_CONFIG_NAME</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/config/PolcoConfig.html#PolcoConfig()">PolcoConfig</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;T&gt; T</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/config/PolcoConfig.html#createFromFactory(java.lang.Class, org.dom4j.Element)">createFromFactory</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Class.html" title="class or interface in java.lang">Class</A>&lt;T&gt;&nbsp;clazz,
                                   org.dom4j.Element&nbsp;config)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The factory class name is taken from the xml configuration using the 
 <A HREF="../../../../ch/javasoft/polco/config/XmlAttribute.html#factory"><CODE>factory</CODE></A> attribute.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../ch/javasoft/polco/config/Arithmetic.html" title="class in ch.javasoft.polco.config">Arithmetic</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/config/PolcoConfig.html#getArithmetic(org.dom4j.Document, ch.javasoft.polco.config.Phase)">getArithmetic</A></B>(org.dom4j.Document&nbsp;xmlConfig,
                           <A HREF="../../../../ch/javasoft/polco/config/Phase.html" title="enum in ch.javasoft.polco.config">Phase</A>&nbsp;phase)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../ch/javasoft/polco/config/Arithmetic.html" title="class in ch.javasoft.polco.config">Arithmetic</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/config/PolcoConfig.html#getArithmetic(org.dom4j.Element, ch.javasoft.polco.config.Phase)">getArithmetic</A></B>(org.dom4j.Element&nbsp;config,
                           <A HREF="../../../../ch/javasoft/polco/config/Phase.html" title="enum in ch.javasoft.polco.config">Phase</A>&nbsp;phase)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../ch/javasoft/polco/config/Arithmetic.html" title="class in ch.javasoft.polco.config">Arithmetic</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/config/PolcoConfig.html#getArithmetic(ch.javasoft.xml.config.XmlConfig, ch.javasoft.polco.config.Phase)">getArithmetic</A></B>(<A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A>&nbsp;xmlConfig,
                           <A HREF="../../../../ch/javasoft/polco/config/Phase.html" title="enum in ch.javasoft.polco.config">Phase</A>&nbsp;phase)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;org.dom4j.Element</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/config/PolcoConfig.html#getPolco(org.dom4j.Document)">getPolco</A></B>(org.dom4j.Document&nbsp;xmlConfig)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;org.dom4j.Element</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/config/PolcoConfig.html#getPolco(org.dom4j.Element)">getPolco</A></B>(org.dom4j.Element&nbsp;xmlConfig)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;org.dom4j.Element</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/config/PolcoConfig.html#getPolco(ch.javasoft.xml.config.XmlConfig)">getPolco</A></B>(<A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A>&nbsp;xmlConfig)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;org.dom4j.Element</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/config/PolcoConfig.html#getPolcoCallback(ch.javasoft.xml.config.XmlConfig)">getPolcoCallback</A></B>(<A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A>&nbsp;xmlConfig)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;org.dom4j.Element</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/config/PolcoConfig.html#getPolcoConfig(org.dom4j.Document)">getPolcoConfig</A></B>(org.dom4j.Document&nbsp;xmlConfig)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;org.dom4j.Element</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/config/PolcoConfig.html#getPolcoConfig(ch.javasoft.xml.config.XmlConfig)">getPolcoConfig</A></B>(<A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A>&nbsp;xmlConfig)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;org.dom4j.Element</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/config/PolcoConfig.html#getPolcoConfigNumeric(org.dom4j.Document, ch.javasoft.polco.config.Phase)">getPolcoConfigNumeric</A></B>(org.dom4j.Document&nbsp;xmlConfig,
                                           <A HREF="../../../../ch/javasoft/polco/config/Phase.html" title="enum in ch.javasoft.polco.config">Phase</A>&nbsp;phase)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;org.dom4j.Element</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/config/PolcoConfig.html#getPolcoConfigNumeric(ch.javasoft.xml.config.XmlConfig, ch.javasoft.polco.config.Phase)">getPolcoConfigNumeric</A></B>(<A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A>&nbsp;xmlConfig,
                                           <A HREF="../../../../ch/javasoft/polco/config/Phase.html" title="enum in ch.javasoft.polco.config">Phase</A>&nbsp;phase)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;org.dom4j.Element</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/config/PolcoConfig.html#getPolcoConfigNumericArithmetic(org.dom4j.Document, ch.javasoft.polco.config.Phase)">getPolcoConfigNumericArithmetic</A></B>(org.dom4j.Document&nbsp;xmlConfig,
                                                               <A HREF="../../../../ch/javasoft/polco/config/Phase.html" title="enum in ch.javasoft.polco.config">Phase</A>&nbsp;phase)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;org.dom4j.Element</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/config/PolcoConfig.html#getPolcoConfigNumericArithmetic(ch.javasoft.xml.config.XmlConfig, ch.javasoft.polco.config.Phase)">getPolcoConfigNumericArithmetic</A></B>(<A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A>&nbsp;xmlConfig,
                                                               <A HREF="../../../../ch/javasoft/polco/config/Phase.html" title="enum in ch.javasoft.polco.config">Phase</A>&nbsp;phase)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;org.dom4j.Element</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/config/PolcoConfig.html#getPolcoExtremeRayEnum(ch.javasoft.xml.config.XmlConfig)">getPolcoExtremeRayEnum</A></B>(<A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A>&nbsp;xmlConfig)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;org.dom4j.Element</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/config/PolcoConfig.html#getPolcoParse(ch.javasoft.xml.config.XmlConfig)">getPolcoParse</A></B>(<A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A>&nbsp;xmlConfig)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../ch/javasoft/util/numeric/Zero.html" title="class in ch.javasoft.util.numeric">Zero</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/config/PolcoConfig.html#getZero(org.dom4j.Document, ch.javasoft.polco.config.Phase)">getZero</A></B>(org.dom4j.Document&nbsp;xmlConfig,
               <A HREF="../../../../ch/javasoft/polco/config/Phase.html" title="enum in ch.javasoft.polco.config">Phase</A>&nbsp;phase)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../ch/javasoft/util/numeric/Zero.html" title="class in ch.javasoft.util.numeric">Zero</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/config/PolcoConfig.html#getZero(org.dom4j.Element, ch.javasoft.polco.config.Phase)">getZero</A></B>(org.dom4j.Element&nbsp;config,
               <A HREF="../../../../ch/javasoft/polco/config/Phase.html" title="enum in ch.javasoft.polco.config">Phase</A>&nbsp;phase)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../ch/javasoft/util/numeric/Zero.html" title="class in ch.javasoft.util.numeric">Zero</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/config/PolcoConfig.html#getZero(ch.javasoft.xml.config.XmlConfig, ch.javasoft.polco.config.Phase)">getZero</A></B>(<A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A>&nbsp;xmlConfig,
               <A HREF="../../../../ch/javasoft/polco/config/Phase.html" title="enum in ch.javasoft.polco.config">Phase</A>&nbsp;phase)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/config/PolcoConfig.html#initLoggingConfigurationForMatlab(ch.javasoft.xml.config.XmlConfig)">initLoggingConfigurationForMatlab</A></B>(<A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A>&nbsp;config)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Initializes logging for matlab.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/config/PolcoConfig.html#parseXmlConfig(java.lang.String[])">parseXmlConfig</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>[]&nbsp;args)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Parses the config, but does not resolve it, that is, all options 
 specified by <code>args</code> are not replaced yet in the configuration file.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/config/PolcoConfig.html#printHelp(java.io.PrintStream, ch.javasoft.xml.config.XmlConfig)">printHelp</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintStream.html" title="class or interface in java.io">PrintStream</A>&nbsp;stream,
                   <A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A>&nbsp;xmlConfig)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/config/PolcoConfig.html#printNoArgs(java.io.PrintStream, ch.javasoft.xml.config.XmlConfig)">printNoArgs</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintStream.html" title="class or interface in java.io">PrintStream</A>&nbsp;stream,
                       <A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A>&nbsp;xmlConfig)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/config/PolcoConfig.html#printVersion(java.io.PrintStream, ch.javasoft.xml.config.XmlConfig)">printVersion</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintStream.html" title="class or interface in java.io">PrintStream</A>&nbsp;stream,
                         <A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A>&nbsp;xmlConfig)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/config/PolcoConfig.html#resolveXmlConfig(java.lang.String[])">resolveXmlConfig</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>[]&nbsp;args)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Same as <A HREF="../../../../ch/javasoft/polco/config/PolcoConfig.html#parseXmlConfig(java.lang.String[])"><CODE>parseXmlConfig(String[])</CODE></A>, but resolving is forced, and
 potential resolve errors are displayed on the system error stream.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/config/PolcoConfig.html#traceArgs(java.io.PrintStream, java.lang.String, java.lang.String[])">traceArgs</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintStream.html" title="class or interface in java.io">PrintStream</A>&nbsp;print,
                   <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;prefix,
                   <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>[]&nbsp;args)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Traces the given (command line) arguments using the specified stream</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/config/PolcoConfig.html#traceArgsString(java.lang.String, java.lang.String[])">traceArgsString</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;prefix,
                               <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>[]&nbsp;args)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the given arguments as a command-line-like string</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/config/PolcoConfig.html#traceJunitConfig(ch.javasoft.polco.config.Arithmetic, ch.javasoft.util.numeric.Zero, java.lang.String)">traceJunitConfig</A></B>(<A HREF="../../../../ch/javasoft/polco/config/Arithmetic.html" title="class in ch.javasoft.polco.config">Arithmetic</A>&lt;?,?&gt;&nbsp;arithmetic,
                                 <A HREF="../../../../ch/javasoft/util/numeric/Zero.html" title="class in ch.javasoft.util.numeric">Zero</A>&nbsp;zero,
                                 <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;testName)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Traces the polco junit configuration on INFO level using the root logger</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/config/PolcoConfig.html#tracePolcoConfig(java.util.logging.Logger, java.util.logging.Level, ch.javasoft.xml.config.XmlConfig)">tracePolcoConfig</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/logging/Logger.html" title="class or interface in java.util.logging">Logger</A>&nbsp;logger,
                                 <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/logging/Level.html" title="class or interface in java.util.logging">Level</A>&nbsp;level,
                                 <A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A>&nbsp;xmlConfig)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Traces the polco configuration using the given logger and log level.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->

<A NAME="field_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Field Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="CONFIG_FILE"><!-- --></A><H3>
CONFIG_FILE</H3>
<PRE>
public static final <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <A HREF="../../../../src-html/ch/javasoft/polco/config/PolcoConfig.html#line.73"><B>CONFIG_FILE</B></A></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../../constant-values.html#ch.javasoft.polco.config.PolcoConfig.CONFIG_FILE">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="DEFAULT_CONFIG_NAME"><!-- --></A><H3>
DEFAULT_CONFIG_NAME</H3>
<PRE>
public static final <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <A HREF="../../../../src-html/ch/javasoft/polco/config/PolcoConfig.html#line.75"><B>DEFAULT_CONFIG_NAME</B></A></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../../constant-values.html#ch.javasoft.polco.config.PolcoConfig.DEFAULT_CONFIG_NAME">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="DEFAULT_APP_NAME"><!-- --></A><H3>
DEFAULT_APP_NAME</H3>
<PRE>
public static final <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <A HREF="../../../../src-html/ch/javasoft/polco/config/PolcoConfig.html#line.76"><B>DEFAULT_APP_NAME</B></A></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../../constant-values.html#ch.javasoft.polco.config.PolcoConfig.DEFAULT_APP_NAME">Constant Field Values</A></DL>
</DL>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="PolcoConfig()"><!-- --></A><H3>
PolcoConfig</H3>
<PRE>
public <A HREF="../../../../src-html/ch/javasoft/polco/config/PolcoConfig.html#line.71"><B>PolcoConfig</B></A>()</PRE>
<DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="getPolco(ch.javasoft.xml.config.XmlConfig)"><!-- --></A><H3>
getPolco</H3>
<PRE>
public static org.dom4j.Element <A HREF="../../../../src-html/ch/javasoft/polco/config/PolcoConfig.html#line.82"><B>getPolco</B></A>(<A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A>&nbsp;xmlConfig)
                                  throws <A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A>,
                                         org.dom4j.DocumentException</PRE>
<DL>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></CODE>
<DD><CODE>org.dom4j.DocumentException</CODE></DL>
</DD>
</DL>
<HR>

<A NAME="getPolco(org.dom4j.Document)"><!-- --></A><H3>
getPolco</H3>
<PRE>
public static org.dom4j.Element <A HREF="../../../../src-html/ch/javasoft/polco/config/PolcoConfig.html#line.85"><B>getPolco</B></A>(org.dom4j.Document&nbsp;xmlConfig)
                                  throws <A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A>,
                                         org.dom4j.DocumentException</PRE>
<DL>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></CODE>
<DD><CODE>org.dom4j.DocumentException</CODE></DL>
</DD>
</DL>
<HR>

<A NAME="getPolco(org.dom4j.Element)"><!-- --></A><H3>
getPolco</H3>
<PRE>
public static org.dom4j.Element <A HREF="../../../../src-html/ch/javasoft/polco/config/PolcoConfig.html#line.88"><B>getPolco</B></A>(org.dom4j.Element&nbsp;xmlConfig)
                                  throws <A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></PRE>
<DL>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="getPolcoExtremeRayEnum(ch.javasoft.xml.config.XmlConfig)"><!-- --></A><H3>
getPolcoExtremeRayEnum</H3>
<PRE>
public static org.dom4j.Element <A HREF="../../../../src-html/ch/javasoft/polco/config/PolcoConfig.html#line.91"><B>getPolcoExtremeRayEnum</B></A>(<A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A>&nbsp;xmlConfig)
                                                throws <A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A>,
                                                       org.dom4j.DocumentException</PRE>
<DL>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></CODE>
<DD><CODE>org.dom4j.DocumentException</CODE></DL>
</DD>
</DL>
<HR>

<A NAME="getPolcoParse(ch.javasoft.xml.config.XmlConfig)"><!-- --></A><H3>
getPolcoParse</H3>
<PRE>
public static org.dom4j.Element <A HREF="../../../../src-html/ch/javasoft/polco/config/PolcoConfig.html#line.94"><B>getPolcoParse</B></A>(<A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A>&nbsp;xmlConfig)
                                       throws <A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A>,
                                              org.dom4j.DocumentException</PRE>
<DL>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></CODE>
<DD><CODE>org.dom4j.DocumentException</CODE></DL>
</DD>
</DL>
<HR>

<A NAME="getPolcoCallback(ch.javasoft.xml.config.XmlConfig)"><!-- --></A><H3>
getPolcoCallback</H3>
<PRE>
public static org.dom4j.Element <A HREF="../../../../src-html/ch/javasoft/polco/config/PolcoConfig.html#line.97"><B>getPolcoCallback</B></A>(<A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A>&nbsp;xmlConfig)
                                          throws <A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A>,
                                                 org.dom4j.DocumentException</PRE>
<DL>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></CODE>
<DD><CODE>org.dom4j.DocumentException</CODE></DL>
</DD>
</DL>
<HR>

<A NAME="getPolcoConfig(ch.javasoft.xml.config.XmlConfig)"><!-- --></A><H3>
getPolcoConfig</H3>
<PRE>
public static org.dom4j.Element <A HREF="../../../../src-html/ch/javasoft/polco/config/PolcoConfig.html#line.100"><B>getPolcoConfig</B></A>(<A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A>&nbsp;xmlConfig)
                                        throws <A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A>,
                                               org.dom4j.DocumentException</PRE>
<DL>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></CODE>
<DD><CODE>org.dom4j.DocumentException</CODE></DL>
</DD>
</DL>
<HR>

<A NAME="getPolcoConfig(org.dom4j.Document)"><!-- --></A><H3>
getPolcoConfig</H3>
<PRE>
public static org.dom4j.Element <A HREF="../../../../src-html/ch/javasoft/polco/config/PolcoConfig.html#line.103"><B>getPolcoConfig</B></A>(org.dom4j.Document&nbsp;xmlConfig)
                                        throws <A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A>,
                                               org.dom4j.DocumentException</PRE>
<DL>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></CODE>
<DD><CODE>org.dom4j.DocumentException</CODE></DL>
</DD>
</DL>
<HR>

<A NAME="getPolcoConfigNumeric(ch.javasoft.xml.config.XmlConfig, ch.javasoft.polco.config.Phase)"><!-- --></A><H3>
getPolcoConfigNumeric</H3>
<PRE>
public static org.dom4j.Element <A HREF="../../../../src-html/ch/javasoft/polco/config/PolcoConfig.html#line.106"><B>getPolcoConfigNumeric</B></A>(<A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A>&nbsp;xmlConfig,
                                                      <A HREF="../../../../ch/javasoft/polco/config/Phase.html" title="enum in ch.javasoft.polco.config">Phase</A>&nbsp;phase)
                                               throws <A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A>,
                                                      org.dom4j.DocumentException</PRE>
<DL>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></CODE>
<DD><CODE>org.dom4j.DocumentException</CODE></DL>
</DD>
</DL>
<HR>

<A NAME="getPolcoConfigNumeric(org.dom4j.Document, ch.javasoft.polco.config.Phase)"><!-- --></A><H3>
getPolcoConfigNumeric</H3>
<PRE>
public static org.dom4j.Element <A HREF="../../../../src-html/ch/javasoft/polco/config/PolcoConfig.html#line.109"><B>getPolcoConfigNumeric</B></A>(org.dom4j.Document&nbsp;xmlConfig,
                                                      <A HREF="../../../../ch/javasoft/polco/config/Phase.html" title="enum in ch.javasoft.polco.config">Phase</A>&nbsp;phase)
                                               throws <A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A>,
                                                      org.dom4j.DocumentException</PRE>
<DL>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></CODE>
<DD><CODE>org.dom4j.DocumentException</CODE></DL>
</DD>
</DL>
<HR>

<A NAME="getPolcoConfigNumericArithmetic(ch.javasoft.xml.config.XmlConfig, ch.javasoft.polco.config.Phase)"><!-- --></A><H3>
getPolcoConfigNumericArithmetic</H3>
<PRE>
public static org.dom4j.Element <A HREF="../../../../src-html/ch/javasoft/polco/config/PolcoConfig.html#line.112"><B>getPolcoConfigNumericArithmetic</B></A>(<A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A>&nbsp;xmlConfig,
                                                                <A HREF="../../../../ch/javasoft/polco/config/Phase.html" title="enum in ch.javasoft.polco.config">Phase</A>&nbsp;phase)
                                                         throws <A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A>,
                                                                org.dom4j.DocumentException</PRE>
<DL>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></CODE>
<DD><CODE>org.dom4j.DocumentException</CODE></DL>
</DD>
</DL>
<HR>

<A NAME="getPolcoConfigNumericArithmetic(org.dom4j.Document, ch.javasoft.polco.config.Phase)"><!-- --></A><H3>
getPolcoConfigNumericArithmetic</H3>
<PRE>
public static org.dom4j.Element <A HREF="../../../../src-html/ch/javasoft/polco/config/PolcoConfig.html#line.115"><B>getPolcoConfigNumericArithmetic</B></A>(org.dom4j.Document&nbsp;xmlConfig,
                                                                <A HREF="../../../../ch/javasoft/polco/config/Phase.html" title="enum in ch.javasoft.polco.config">Phase</A>&nbsp;phase)
                                                         throws <A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A>,
                                                                org.dom4j.DocumentException</PRE>
<DL>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></CODE>
<DD><CODE>org.dom4j.DocumentException</CODE></DL>
</DD>
</DL>
<HR>

<A NAME="getArithmetic(ch.javasoft.xml.config.XmlConfig, ch.javasoft.polco.config.Phase)"><!-- --></A><H3>
getArithmetic</H3>
<PRE>
public static <A HREF="../../../../ch/javasoft/polco/config/Arithmetic.html" title="class in ch.javasoft.polco.config">Arithmetic</A> <A HREF="../../../../src-html/ch/javasoft/polco/config/PolcoConfig.html#line.119"><B>getArithmetic</B></A>(<A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A>&nbsp;xmlConfig,
                                       <A HREF="../../../../ch/javasoft/polco/config/Phase.html" title="enum in ch.javasoft.polco.config">Phase</A>&nbsp;phase)
                                throws <A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A>,
                                       org.dom4j.DocumentException,
                                       <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/InstantiationException.html" title="class or interface in java.lang">InstantiationException</A>,
                                       <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IllegalAccessException.html" title="class or interface in java.lang">IllegalAccessException</A>,
                                       <A HREF="../../../../ch/javasoft/factory/ConfigException.html" title="class in ch.javasoft.factory">ConfigException</A>,
                                       <A HREF="../../../../ch/javasoft/factory/FactoryNotFoundException.html" title="class in ch.javasoft.factory">FactoryNotFoundException</A>,
                                       <A HREF="../../../../ch/javasoft/factory/IllegalFactoryException.html" title="class in ch.javasoft.factory">IllegalFactoryException</A></PRE>
<DL>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></CODE>
<DD><CODE>org.dom4j.DocumentException</CODE>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/InstantiationException.html" title="class or interface in java.lang">InstantiationException</A></CODE>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IllegalAccessException.html" title="class or interface in java.lang">IllegalAccessException</A></CODE>
<DD><CODE><A HREF="../../../../ch/javasoft/factory/ConfigException.html" title="class in ch.javasoft.factory">ConfigException</A></CODE>
<DD><CODE><A HREF="../../../../ch/javasoft/factory/FactoryNotFoundException.html" title="class in ch.javasoft.factory">FactoryNotFoundException</A></CODE>
<DD><CODE><A HREF="../../../../ch/javasoft/factory/IllegalFactoryException.html" title="class in ch.javasoft.factory">IllegalFactoryException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="getArithmetic(org.dom4j.Element, ch.javasoft.polco.config.Phase)"><!-- --></A><H3>
getArithmetic</H3>
<PRE>
public static <A HREF="../../../../ch/javasoft/polco/config/Arithmetic.html" title="class in ch.javasoft.polco.config">Arithmetic</A> <A HREF="../../../../src-html/ch/javasoft/polco/config/PolcoConfig.html#line.123"><B>getArithmetic</B></A>(org.dom4j.Element&nbsp;config,
                                       <A HREF="../../../../ch/javasoft/polco/config/Phase.html" title="enum in ch.javasoft.polco.config">Phase</A>&nbsp;phase)
                                throws <A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A>,
                                       org.dom4j.DocumentException,
                                       <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/InstantiationException.html" title="class or interface in java.lang">InstantiationException</A>,
                                       <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IllegalAccessException.html" title="class or interface in java.lang">IllegalAccessException</A>,
                                       <A HREF="../../../../ch/javasoft/factory/ConfigException.html" title="class in ch.javasoft.factory">ConfigException</A>,
                                       <A HREF="../../../../ch/javasoft/factory/FactoryNotFoundException.html" title="class in ch.javasoft.factory">FactoryNotFoundException</A>,
                                       <A HREF="../../../../ch/javasoft/factory/IllegalFactoryException.html" title="class in ch.javasoft.factory">IllegalFactoryException</A></PRE>
<DL>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></CODE>
<DD><CODE>org.dom4j.DocumentException</CODE>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/InstantiationException.html" title="class or interface in java.lang">InstantiationException</A></CODE>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IllegalAccessException.html" title="class or interface in java.lang">IllegalAccessException</A></CODE>
<DD><CODE><A HREF="../../../../ch/javasoft/factory/ConfigException.html" title="class in ch.javasoft.factory">ConfigException</A></CODE>
<DD><CODE><A HREF="../../../../ch/javasoft/factory/FactoryNotFoundException.html" title="class in ch.javasoft.factory">FactoryNotFoundException</A></CODE>
<DD><CODE><A HREF="../../../../ch/javasoft/factory/IllegalFactoryException.html" title="class in ch.javasoft.factory">IllegalFactoryException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="getArithmetic(org.dom4j.Document, ch.javasoft.polco.config.Phase)"><!-- --></A><H3>
getArithmetic</H3>
<PRE>
public static <A HREF="../../../../ch/javasoft/polco/config/Arithmetic.html" title="class in ch.javasoft.polco.config">Arithmetic</A> <A HREF="../../../../src-html/ch/javasoft/polco/config/PolcoConfig.html#line.129"><B>getArithmetic</B></A>(org.dom4j.Document&nbsp;xmlConfig,
                                       <A HREF="../../../../ch/javasoft/polco/config/Phase.html" title="enum in ch.javasoft.polco.config">Phase</A>&nbsp;phase)
                                throws <A HREF="../../../../ch/javasoft/factory/FactoryNotFoundException.html" title="class in ch.javasoft.factory">FactoryNotFoundException</A>,
                                       <A HREF="../../../../ch/javasoft/factory/IllegalFactoryException.html" title="class in ch.javasoft.factory">IllegalFactoryException</A>,
                                       <A HREF="../../../../ch/javasoft/factory/ConfigException.html" title="class in ch.javasoft.factory">ConfigException</A>,
                                       <A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A>,
                                       org.dom4j.DocumentException</PRE>
<DL>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../ch/javasoft/factory/FactoryNotFoundException.html" title="class in ch.javasoft.factory">FactoryNotFoundException</A></CODE>
<DD><CODE><A HREF="../../../../ch/javasoft/factory/IllegalFactoryException.html" title="class in ch.javasoft.factory">IllegalFactoryException</A></CODE>
<DD><CODE><A HREF="../../../../ch/javasoft/factory/ConfigException.html" title="class in ch.javasoft.factory">ConfigException</A></CODE>
<DD><CODE><A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></CODE>
<DD><CODE>org.dom4j.DocumentException</CODE></DL>
</DD>
</DL>
<HR>

<A NAME="getZero(ch.javasoft.xml.config.XmlConfig, ch.javasoft.polco.config.Phase)"><!-- --></A><H3>
getZero</H3>
<PRE>
public static <A HREF="../../../../ch/javasoft/util/numeric/Zero.html" title="class in ch.javasoft.util.numeric">Zero</A> <A HREF="../../../../src-html/ch/javasoft/polco/config/PolcoConfig.html#line.134"><B>getZero</B></A>(<A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A>&nbsp;xmlConfig,
                           <A HREF="../../../../ch/javasoft/polco/config/Phase.html" title="enum in ch.javasoft.polco.config">Phase</A>&nbsp;phase)
                    throws <A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A>,
                           org.dom4j.DocumentException,
                           <A HREF="../../../../ch/javasoft/factory/ConfigException.html" title="class in ch.javasoft.factory">ConfigException</A></PRE>
<DL>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></CODE>
<DD><CODE>org.dom4j.DocumentException</CODE>
<DD><CODE><A HREF="../../../../ch/javasoft/factory/ConfigException.html" title="class in ch.javasoft.factory">ConfigException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="getZero(org.dom4j.Element, ch.javasoft.polco.config.Phase)"><!-- --></A><H3>
getZero</H3>
<PRE>
public static <A HREF="../../../../ch/javasoft/util/numeric/Zero.html" title="class in ch.javasoft.util.numeric">Zero</A> <A HREF="../../../../src-html/ch/javasoft/polco/config/PolcoConfig.html#line.139"><B>getZero</B></A>(org.dom4j.Element&nbsp;config,
                           <A HREF="../../../../ch/javasoft/polco/config/Phase.html" title="enum in ch.javasoft.polco.config">Phase</A>&nbsp;phase)
                    throws <A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A>,
                           org.dom4j.DocumentException,
                           <A HREF="../../../../ch/javasoft/factory/ConfigException.html" title="class in ch.javasoft.factory">ConfigException</A></PRE>
<DL>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></CODE>
<DD><CODE>org.dom4j.DocumentException</CODE>
<DD><CODE><A HREF="../../../../ch/javasoft/factory/ConfigException.html" title="class in ch.javasoft.factory">ConfigException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="getZero(org.dom4j.Document, ch.javasoft.polco.config.Phase)"><!-- --></A><H3>
getZero</H3>
<PRE>
public static <A HREF="../../../../ch/javasoft/util/numeric/Zero.html" title="class in ch.javasoft.util.numeric">Zero</A> <A HREF="../../../../src-html/ch/javasoft/polco/config/PolcoConfig.html#line.155"><B>getZero</B></A>(org.dom4j.Document&nbsp;xmlConfig,
                           <A HREF="../../../../ch/javasoft/polco/config/Phase.html" title="enum in ch.javasoft.polco.config">Phase</A>&nbsp;phase)
                    throws <A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A>,
                           org.dom4j.DocumentException,
                           <A HREF="../../../../ch/javasoft/factory/ConfigException.html" title="class in ch.javasoft.factory">ConfigException</A></PRE>
<DL>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></CODE>
<DD><CODE>org.dom4j.DocumentException</CODE>
<DD><CODE><A HREF="../../../../ch/javasoft/factory/ConfigException.html" title="class in ch.javasoft.factory">ConfigException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="resolveXmlConfig(java.lang.String[])"><!-- --></A><H3>
resolveXmlConfig</H3>
<PRE>
public static <A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A> <A HREF="../../../../src-html/ch/javasoft/polco/config/PolcoConfig.html#line.165"><B>resolveXmlConfig</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>[]&nbsp;args)
                                  throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/FileNotFoundException.html" title="class or interface in java.io">FileNotFoundException</A>,
                                         org.dom4j.DocumentException,
                                         <A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></PRE>
<DL>
<DD>Same as <A HREF="../../../../ch/javasoft/polco/config/PolcoConfig.html#parseXmlConfig(java.lang.String[])"><CODE>parseXmlConfig(String[])</CODE></A>, but resolving is forced, and
 potential resolve errors are displayed on the system error stream.
<P>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/FileNotFoundException.html" title="class or interface in java.io">FileNotFoundException</A></CODE>
<DD><CODE>org.dom4j.DocumentException</CODE>
<DD><CODE><A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="parseXmlConfig(java.lang.String[])"><!-- --></A><H3>
parseXmlConfig</H3>
<PRE>
public static <A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A> <A HREF="../../../../src-html/ch/javasoft/polco/config/PolcoConfig.html#line.198"><B>parseXmlConfig</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>[]&nbsp;args)
                                throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/FileNotFoundException.html" title="class or interface in java.io">FileNotFoundException</A>,
                                       org.dom4j.DocumentException</PRE>
<DL>
<DD>Parses the config, but does not resolve it, that is, all options 
 specified by <code>args</code> are not replaced yet in the configuration file. 
 However, default config, application name and the specified arguments are 
 stored in the returned xml config instance.
<P>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/FileNotFoundException.html" title="class or interface in java.io">FileNotFoundException</A></CODE>
<DD><CODE>org.dom4j.DocumentException</CODE></DL>
</DD>
</DL>
<HR>

<A NAME="initLoggingConfigurationForMatlab(ch.javasoft.xml.config.XmlConfig)"><!-- --></A><H3>
initLoggingConfigurationForMatlab</H3>
<PRE>
public static void <A HREF="../../../../src-html/ch/javasoft/polco/config/PolcoConfig.html#line.234"><B>initLoggingConfigurationForMatlab</B></A>(<A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A>&nbsp;config)
                                              throws <A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A>,
                                                     <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD>Initializes logging for matlab. Within matlab, logging cannot be 
 initialized using the log manager since the system class loader does not 
 know classes in the dynamic path.
<P>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></CODE>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="createFromFactory(java.lang.Class, org.dom4j.Element)"><!-- --></A><H3>
createFromFactory</H3>
<PRE>
public static &lt;T&gt; T <A HREF="../../../../src-html/ch/javasoft/polco/config/PolcoConfig.html#line.270"><B>createFromFactory</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Class.html" title="class or interface in java.lang">Class</A>&lt;T&gt;&nbsp;clazz,
                                      org.dom4j.Element&nbsp;config)
                           throws <A HREF="../../../../ch/javasoft/factory/FactoryNotFoundException.html" title="class in ch.javasoft.factory">FactoryNotFoundException</A>,
                                  <A HREF="../../../../ch/javasoft/factory/IllegalFactoryException.html" title="class in ch.javasoft.factory">IllegalFactoryException</A>,
                                  <A HREF="../../../../ch/javasoft/factory/ConfigException.html" title="class in ch.javasoft.factory">ConfigException</A></PRE>
<DL>
<DD>The factory class name is taken from the xml configuration using the 
 <A HREF="../../../../ch/javasoft/polco/config/XmlAttribute.html#factory"><CODE>factory</CODE></A> attribute. The factory is 
 instantiated and an object created and returned, again using the xml 
 configuration.
<P>
<DD><DL>
<DT><B>Type Parameters:</B><DD><CODE>T</CODE> - type of objects produced by the factory<DT><B>Parameters:</B><DD><CODE>clazz</CODE> - class of objects produced by the factory<DD><CODE>config</CODE> - the element containing configuration 
                                                                settings for the object to create
<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../ch/javasoft/factory/ConfigException.html" title="class in ch.javasoft.factory">ConfigException</A></CODE>
<DD><CODE><A HREF="../../../../ch/javasoft/factory/IllegalFactoryException.html" title="class in ch.javasoft.factory">IllegalFactoryException</A></CODE>
<DD><CODE><A HREF="../../../../ch/javasoft/factory/FactoryNotFoundException.html" title="class in ch.javasoft.factory">FactoryNotFoundException</A></CODE>
<DD><CODE><A HREF="../../../../ch/javasoft/factory/ConfigException.html" title="class in ch.javasoft.factory">ConfigException</A></CODE> - if the factory class attribute was not
                                                                        found in <code>config</code>, or if the 
                                                                        config content was not as expected
<DD><CODE><A HREF="../../../../ch/javasoft/factory/FactoryNotFoundException.html" title="class in ch.javasoft.factory">FactoryNotFoundException</A></CODE> - if the factory class was not found
<DD><CODE><A HREF="../../../../ch/javasoft/factory/IllegalFactoryException.html" title="class in ch.javasoft.factory">IllegalFactoryException</A></CODE> - if the factory class was not a factory,
                                                                        if the factory could not be instantiated,
                                                                        if the config was not of the expected 
                                                                        type for this factory, or if the object 
                                                                        created by the factory was not 
                                                                        compatible with the type specified by 
                                                                        <code>clazz</code><DT><B>See Also:</B><DD><A HREF="../../../../ch/javasoft/xml/factory/XmlFactoryUtil.html#create(java.lang.Class, org.dom4j.Element, java.lang.String)"><CODE>XmlFactoryUtil.create(Class, Element, String)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="tracePolcoConfig(java.util.logging.Logger, java.util.logging.Level, ch.javasoft.xml.config.XmlConfig)"><!-- --></A><H3>
tracePolcoConfig</H3>
<PRE>
public static void <A HREF="../../../../src-html/ch/javasoft/polco/config/PolcoConfig.html#line.280"><B>tracePolcoConfig</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/logging/Logger.html" title="class or interface in java.util.logging">Logger</A>&nbsp;logger,
                                    <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/logging/Level.html" title="class or interface in java.util.logging">Level</A>&nbsp;level,
                                    <A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A>&nbsp;xmlConfig)
                             throws <A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A>,
                                    org.dom4j.DocumentException</PRE>
<DL>
<DD>Traces the polco configuration using the given logger and log level.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>logger</CODE> - the logger for tracing<DD><CODE>level</CODE> - the log level<DD><CODE>xmlConfig</CODE> - the config to trace
<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></CODE>
<DD><CODE>org.dom4j.DocumentException</CODE></DL>
</DD>
</DL>
<HR>

<A NAME="traceJunitConfig(ch.javasoft.polco.config.Arithmetic, ch.javasoft.util.numeric.Zero, java.lang.String)"><!-- --></A><H3>
traceJunitConfig</H3>
<PRE>
public static void <A HREF="../../../../src-html/ch/javasoft/polco/config/PolcoConfig.html#line.304"><B>traceJunitConfig</B></A>(<A HREF="../../../../ch/javasoft/polco/config/Arithmetic.html" title="class in ch.javasoft.polco.config">Arithmetic</A>&lt;?,?&gt;&nbsp;arithmetic,
                                    <A HREF="../../../../ch/javasoft/util/numeric/Zero.html" title="class in ch.javasoft.util.numeric">Zero</A>&nbsp;zero,
                                    <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;testName)
                             throws <A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A>,
                                    org.dom4j.DocumentException</PRE>
<DL>
<DD>Traces the polco junit configuration on INFO level using the root logger
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>arithmetic</CODE> - the arithmetic used<DD><CODE>zero</CODE> - the zero value<DD><CODE>testName</CODE> - the test name invoking this method
<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></CODE>
<DD><CODE>org.dom4j.DocumentException</CODE></DL>
</DD>
</DL>
<HR>

<A NAME="traceArgs(java.io.PrintStream, java.lang.String, java.lang.String[])"><!-- --></A><H3>
traceArgs</H3>
<PRE>
public static void <A HREF="../../../../src-html/ch/javasoft/polco/config/PolcoConfig.html#line.336"><B>traceArgs</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintStream.html" title="class or interface in java.io">PrintStream</A>&nbsp;print,
                             <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;prefix,
                             <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>[]&nbsp;args)</PRE>
<DL>
<DD>Traces the given (command line) arguments using the specified stream
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>print</CODE> - the stream for tracing<DD><CODE>prefix</CODE> - the prefix to use for the log line<DD><CODE>args</CODE> - the (command line) arguments to trace</DL>
</DD>
</DL>
<HR>

<A NAME="traceArgsString(java.lang.String, java.lang.String[])"><!-- --></A><H3>
traceArgsString</H3>
<PRE>
public static <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <A HREF="../../../../src-html/ch/javasoft/polco/config/PolcoConfig.html#line.346"><B>traceArgsString</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;prefix,
                                     <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>[]&nbsp;args)</PRE>
<DL>
<DD>Returns the given arguments as a command-line-like string
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>prefix</CODE> - the prefix to use for the command line<DD><CODE>args</CODE> - the (command line) arguments to trace</DL>
</DD>
</DL>
<HR>

<A NAME="printVersion(java.io.PrintStream, ch.javasoft.xml.config.XmlConfig)"><!-- --></A><H3>
printVersion</H3>
<PRE>
public static void <A HREF="../../../../src-html/ch/javasoft/polco/config/PolcoConfig.html#line.354"><B>printVersion</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintStream.html" title="class or interface in java.io">PrintStream</A>&nbsp;stream,
                                <A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A>&nbsp;xmlConfig)
                         throws <A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></PRE>
<DL>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="printHelp(java.io.PrintStream, ch.javasoft.xml.config.XmlConfig)"><!-- --></A><H3>
printHelp</H3>
<PRE>
public static void <A HREF="../../../../src-html/ch/javasoft/polco/config/PolcoConfig.html#line.357"><B>printHelp</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintStream.html" title="class or interface in java.io">PrintStream</A>&nbsp;stream,
                             <A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A>&nbsp;xmlConfig)
                      throws <A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></PRE>
<DL>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="printNoArgs(java.io.PrintStream, ch.javasoft.xml.config.XmlConfig)"><!-- --></A><H3>
printNoArgs</H3>
<PRE>
public static void <A HREF="../../../../src-html/ch/javasoft/polco/config/PolcoConfig.html#line.360"><B>printNoArgs</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintStream.html" title="class or interface in java.io">PrintStream</A>&nbsp;stream,
                               <A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A>&nbsp;xmlConfig)
                        throws <A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></PRE>
<DL>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></CODE></DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/PolcoConfig.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/polco/config/Phase.html" title="enum in ch.javasoft.polco.config"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/polco/config/TypeConverter.html" title="class in ch.javasoft.polco.config"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/polco/config/PolcoConfig.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="PolcoConfig.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
